_.templateSettings = {
  interpolate: /\{\{(.+?)\}\}/g
};

var Character = Backbone.Model.extend();

//var character = new Character();

var Cast = Backbone.Collection.extend({
  model: Character,
  url: '/characters.json'
});

var cast = new Cast();

//cast.add(character);

var CharacterView = Backbone.View.extend({
  tagName: 'tr',
  template: _.template($('#character-template').text()),
  render: function () {
    this.$el.html(
      this.template(this.model.attributes)
    );
  }
});

var CastView = Backbone.View.extend({
  initialize: function () {
    this.listenTo(this.collection, 'change', this.render);
  },
  render: function () {
    var self = this;
    self.$el.empty();
    self.collection.each(function (model) {
      var characterView = new CharacterView({
        model: model
      });
      characterView.render();
      characterView.$el.appendTo(self.el);
    });
  }
});

var castView = new CastView({
  collection: cast,
  el: $('.cast')[0]
});

cast.fetch({
  success: function () {
    castView.render();
  }
});